import { get, put, post, deletes } from '@/http/index'

// 查询故障操作步骤列表
export const getFaultSetps = async (data) => {
  return await get('/als/faultSetps/list', data)
}

// 新增故障操作步骤
export const addFaultSetps = async (data) => {
  return await post('/als/faultSetps', data)
}

// 修改故障操作步骤
export const updateFaultSetps = async (data) => {
  return await put('/als/faultSetps', data)
}

// 删除故障操作步骤
export const removeFaultSetps = async (id) => {
  return await deletes('/als/faultSetps/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
